/*
 * Copyright (C) 2008-2011 The QXmpp developers
 *
 * Author:
 *  Manjeet Dahiya
 *
 * Source:
 *  http://code.google.com/p/qxmpp
 *
 * This file is a part of QXmpp library.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 */


#include "QXmppConstants.h"

const char* ns_stream = "http://etherx.jabber.org/streams";
const char* ns_client = "jabber:client";
const char* ns_server = "jabber:server";
const char* ns_server_dialback = "jabber:server:dialback";
const char* ns_roster = "jabber:iq:roster";
const char* ns_tls = "urn:ietf:params:xml:ns:xmpp-tls";
const char* ns_sasl = "urn:ietf:params:xml:ns:xmpp-sasl";
const char* ns_bind = "urn:ietf:params:xml:ns:xmpp-bind";
const char* ns_session = "urn:ietf:params:xml:ns:xmpp-session";
const char* ns_stanza = "urn:ietf:params:xml:ns:xmpp-stanzas";
const char* ns_vcard = "vcard-temp";
const char* ns_vcard_update = "vcard-temp:x:update";
const char* ns_auth = "jabber:iq:auth";
const char* ns_authFeature = "http://jabber.org/features/iq-auth";
const char* ns_capabilities = "http://jabber.org/protocol/caps";
const char* ns_compress = "http://jabber.org/protocol/compress";
const char* ns_compressFeature = "http://jabber.org/features/compress";
const char* ns_disco_info = "http://jabber.org/protocol/disco#info";
const char* ns_disco_items = "http://jabber.org/protocol/disco#items";
const char* ns_ibb = "http://jabber.org/protocol/ibb";
const char* ns_rpc = "jabber:iq:rpc";
const char *ns_ping = "urn:xmpp:ping";
const char *ns_conference = "jabber:x:conference";
const char *ns_xhtml_im = "http://jabber.org/protocol/xhtml-im";
const char *ns_xhtml = "http://www.w3.org/1999/xhtml";
const char *ns_message_receipts = "urn:xmpp:receipts";
const char *ns_attention = "urn:xmpp:attention:0";
const char *ns_delayed_delivery = "urn:xmpp:delay";
const char *ns_legacy_delayed_delivery = "jabber:x:delay";
const char *ns_muc = "http://jabber.org/protocol/muc";
const char *ns_muc_admin = "http://jabber.org/protocol/muc#admin";
const char *ns_muc_owner = "http://jabber.org/protocol/muc#owner";
const char *ns_muc_user = "http://jabber.org/protocol/muc#user";
const char *ns_chat_states = "http://jabber.org/protocol/chatstates";
const char *ns_stream_initiation = "http://jabber.org/protocol/si";
const char *ns_stream_initiation_file_transfer = "http://jabber.org/protocol/si/profile/file-transfer";
const char *ns_feature_negotiation = "http://jabber.org/protocol/feature-neg";
const char *ns_bytestreams = "http://jabber.org/protocol/bytestreams";
// XEP-0092: Software Version
const char *ns_version = "jabber:iq:version";
const char *ns_data = "jabber:x:data";
// XEP-0166: Jingle
const char *ns_jingle = "urn:xmpp:jingle:1";
const char *ns_jingle_raw_udp = "urn:xmpp:jingle:transports:raw-udp:1";
const char* ns_jingle_ice_udp = "urn:xmpp:jingle:transports:ice-udp:1";
const char *ns_jingle_rtp = "urn:xmpp:jingle:apps:rtp:1";
const char *ns_jingle_rtp_audio = "urn:xmpp:jingle:apps:rtp:audio";
const char *ns_jingle_rtp_video = "urn:xmpp:jingle:apps:rtp:video";

const char *ns_entity_time = "urn:xmpp:time";

const char *ns_activity = "http://jabber.org/protocol/activity";

const char *ns_media = "urn:xmpp:media-element";

const char *ns_private = "jabber:iq:private";
const char *ns_rosternotes = "storage:rosternotes";

const char *ns_bob = "urn:xmpp:bob";
const char *ns_captcha = "urn:xmpp:captcha";
